/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.component.huaweicloud.dms.constants;

/**
 * Constants for all the supported DMS operations
 */
public final class DMSOperations {
    public static final String CREATE_INSTANCE = "createInstance";
    public static final String DELETE_INSTANCE = "deleteInstance";
    public static final String LIST_INSTANCES = "listInstances";
    public static final String QUERY_INSTANCE = "queryInstance";
    public static final String UPDATE_INSTANCE = "updateInstance";

    private DMSOperations() {
    }
}
